Natural Language Toolkit (NLTK)   www.nltk.org
====================================

Authors
----------------
  - Steven Bird <stevenbird1@gmail.com>
  - Edward Loper <edloper@gmail.com>
  - Ewan Klein <ewan@inf.ed.ac.uk>

Copyright (C) 2001-2012 NLTK Project

For license information, see LICENSE.txt

NLTK -- the Natural Language Toolkit -- is a suite of open source
Python modules, data sets and tutorials supporting research and
development in Natural Language Processing.

Documentation
------------------------
A substantial amount of documentation about NLTK is available:

  - The [NLTK website](http://nltk.org/) has information about the NLTK community. 

  - The [NLTK Book](https://sites.google.com/site/naturallanguagetoolkit/book) covers a wide range of introductory topics in NLP, and
    shows how to do all the processing tasks using the toolkit.

  - The [API Documentation](http://nltk.github.com/api/) describes every module,
    interface, class, method, function, and variable in the toolkit.
  
Mailing Lists
--------------------
 There are several mailing lists associated with NLTK:

  - [nltk](http://groups.google.com/group/nltk): Public information and announcements about NLTK (very low volume).
  - [nltk-users](http://groups.google.com/group/nltk-users): Discussions amongst NLTK users.
  - [nltk-dev](http://groups.google.com/group/nltk-dev): Discussions amongst NLTK developers.
  - [nltk-translation](http://groups.google.com/group/nltk-translation): Discussions about translating the NLTK book.
      

Contributing
------------------
If you would like to contribute to NLTK, please post your ideas to nltk-dev, or [fork nltk on github](https://github.com/nltk/nltk).

Donating
---------------
Have you found the toolkit helpful?  Please support NLTK development 
by donating to the project via PayPal, using the link on the NLTK homepage.

Redistributing
----------------------
NLTK source code is distributed under the Apache 2.0 License.  
NLTK documentation is distributed under the Creative Commons Attribution-Noncommercial-No Derivative Works 3.0 United States license.  
NLTK corpora are provided under the terms given in the README file for each corpus; all are redistributable, and available for non-commercial use.  
NLTK may be freely redistributed, subject to the provisions of these licenses.  

Citing
---------
 If you publish work that uses NLTK, please cite the NLTK book, as follows:

    Bird, Steven, Edward Loper and Ewan Klein (2009).
    Natural Language Processing with Python.  O'Reilly Media Inc.
